.TH wxPrintDialogData 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPrintDialogData \- See external documentation: wxPrintDialogData\&.
.SH DESCRIPTION
.LP
See external documentation: wxPrintDialogData <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPrintDialogData()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxPrintDialogData()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatawxprintdialogdata>\&.
.RE
.LP
.B
new(DialogData::wxPrintDialogData() | wxPrintData() (see module wxPrintData)) -> wxPrintDialogData()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatawxprintdialogdata>\&.
.RE
.LP
.B
enableHelp(This::wxPrintDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdataenablehelp>\&.
.RE
.LP
.B
enablePageNumbers(This::wxPrintDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdataenablepagenumbers>\&.
.RE
.LP
.B
enablePrintToFile(This::wxPrintDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdataenableprinttofile>\&.
.RE
.LP
.B
enableSelection(This::wxPrintDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdataenableselection>\&.
.RE
.LP
.B
getAllPages(This::wxPrintDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatagetallpages>\&.
.RE
.LP
.B
getCollate(This::wxPrintDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatagetcollate>\&.
.RE
.LP
.B
getFromPage(This::wxPrintDialogData()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatagetfrompage>\&.
.RE
.LP
.B
getMaxPage(This::wxPrintDialogData()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatagetmaxpage>\&.
.RE
.LP
.B
getMinPage(This::wxPrintDialogData()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatagetminpage>\&.
.RE
.LP
.B
getNoCopies(This::wxPrintDialogData()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatagetnocopies>\&.
.RE
.LP
.B
getPrintData(This::wxPrintDialogData()) -> wxPrintData() (see module wxPrintData)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatagetprintdata>\&.
.RE
.LP
.B
getPrintToFile(This::wxPrintDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatagetprinttofile>\&.
.RE
.LP
.B
getSelection(This::wxPrintDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatagetselection>\&.
.RE
.LP
.B
getToPage(This::wxPrintDialogData()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatagettopage>\&.
.RE
.LP
.B
isOk(This::wxPrintDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdataisok>\&.
.RE
.LP
.B
setCollate(This::wxPrintDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatasetcollate>\&.
.RE
.LP
.B
setFromPage(This::wxPrintDialogData(), V::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatasetfrompage>\&.
.RE
.LP
.B
setMaxPage(This::wxPrintDialogData(), V::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatasetmaxpage>\&.
.RE
.LP
.B
setMinPage(This::wxPrintDialogData(), V::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatasetminpage>\&.
.RE
.LP
.B
setNoCopies(This::wxPrintDialogData(), V::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatasetnocopies>\&.
.RE
.LP
.B
setPrintData(This::wxPrintDialogData(), PrintData::wxPrintData() (see module wxPrintData)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatasetprintdata>\&.
.RE
.LP
.B
setPrintToFile(This::wxPrintDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatasetprinttofile>\&.
.RE
.LP
.B
setSelection(This::wxPrintDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatasetselection>\&.
.RE
.LP
.B
setToPage(This::wxPrintDialogData(), V::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprintdialogdata\&.html#wxprintdialogdatasettopage>\&.
.RE
.LP
.B
destroy(This::wxPrintDialogData()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
